module Slack
	module RPC

		# ## Slack::RPC::Response
		# A class that represents Slack-RPC style command response
		#
		class Response
			attr_reader :status, :headers, :body

			# ### Slack::RPC::Response.new(faraday_response)
			# Creates a new instance of `Slack::RPC::Response` class
			#
			def initialize(faraday_response)
				@status  = faraday_response.status
				@headers = faraday_response.headers
				@body    = faraday_response.body
			end

		end

	end
end